CommandFormat.IllegalNumberOfArgumentsException (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.shell, class: CommandFormat, class: IllegalNumberOfArgumentsException

Package org.apache.hadoop.fs.shell

# Class CommandFormat.IllegalNumberOfArgumentsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.hadoop.fs.shell.CommandFormat.IllegalNumberOfArgumentsException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CommandFormat.NotEnoughArgumentsException`, `CommandFormat.TooManyArgumentsException`

Enclosing class:
  CommandFormat

public abstract static class CommandFormat.IllegalNumberOfArgumentsException extends IllegalArgumentException
Used when the arguments exceed their bounds

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `actual`
  `protected int`
  `expected`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IllegalNumberOfArgumentsException(int want, int got)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### expected

    protected int expected

  - ### actual

    protected int actual

- ## Constructor Details

  - ### IllegalNumberOfArgumentsException

    protected IllegalNumberOfArgumentsException(int want, int got)

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`